Переполнение буфера в AdPlug

Дата публикации:
10.07.2006
Дата изменения:
17.10.2006
Всего просмотров:
1096
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-3581
CVE-2006-3582
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
AdPlug 2.x
Уязвимые версии: AdPlug 2.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных при обработке медиафайлов (CFF, MTK, DMO, U6M, DTM и S3M). Удаленный пользователь может с помощью специально сформированного файла вызвать переполнение динамической памяти (CFF, MTK, DMO и U6M), или вызвать переполнение стека (DTM и S3M) и выполнить произвольный код на целевой системе.

URL производителя: adplug.sourceforge.net

Решение: Установите последнюю версию (2.0.1) с сайта производителя.

Ссылки: Various heap and stack overflow bugs in AdPlug library 2.0 (CVS 04 Jul 2006)

или введите имя

CAPTCHA